After vi is configured, prompt “the commandis not available in this version: syntaxion”

  question, vim

Under ubuntu, the. vimrc file is configured, and then the vi command is used to edit the file and prompt when opening it.

Sorry, the command is not available in this version: syntax on

The contents of the line where the error occurred aresyntax on, this is why?

Ubuntu’s vim is a compact version, of course there is no syntax configuration.
All you need to do is install a full version of vim

$ sudo apt-get install vim